Error message Upgrade from PHP 7.2 to PHP 7.3

This topic contains 9 replies, has 5 voices, and was last updated by   Mary Evans 1 month, 3 weeks ago.

Viewing 10 posts - 1 through 10 (of 10 total)
  • Author
    Posts
  • #806245

    Tobias
    Participant

    (Theme Enfold WordPress, MySQL 5.7)

    Upgrade from PHP 7.2 to PHP 7.3

    Error message:

    ……/wp-content/plugins/motopress-content-editor/includes/ce/shortcode/ShortcodeCommon.php on line 781

    unfortunately motopress content-editor still does not work with php 7.3

    many thanks for a timely update

    best regards

    • This topic was modified 6 months, 3 weeks ago by   Tobias.
    #807278

    J. Davis
    Keymaster

    Hi Tobias,

    Thanks for your notification. We have managed to replicate the issue locally and we’ll do our best to fix it shortly in the next update release.
    Meanwhile we recommend to install PHP 7.2 back to use Visual Builder without errors.

    best regards,
    J.Davis

    #823393

    Tobias
    Participant

    unfortunately still no update to remedy these problems

    #826625

    J. Davis
    Keymaster

    Hi Tobias,

    Thank you for getting back to this. We are sorry however we have not finished testing Content Editor for compatibility with PHP 7.3. yet.

    We’ll update this topic once we have any news. Meanwhile we recommend to stay on PHP 7.2 version. We are sorry for temporary inconveniences.

    bets regards,
    J. Davis

    #833925

    Griffin Granberg
    Participant

    Also receiving issues with MotoPress Content Editor linked to PHP 7.3 (my guess).

    Here they are:

    <b>Warning</b>: “continue” targeting switch is equivalent to “break”. Did you mean to use “continue 2”? in <b>/home/baway/temp/wp-content/plugins/motopress-content-editor/includes/ce/shortcode/ShortcodeCommon.php</b> on line <b>781</b><br />
    <br />
    <b>Warning</b>: Cannot modify header information – headers already sent by (output started at /home/baway/temp/wp-content/plugins/motopress-content-editor/includes/ce/shortcode/ShortcodeCommon.php:781) in <b>/home/baway/temp/wp-admin/includes/misc.php</b> on line <b>1196</b><br />
    <br />
    <b>Warning</b>: Cannot modify header information – headers already sent by (output started at /home/baway/temp/wp-content/plugins/motopress-content-editor/includes/ce/shortcode/ShortcodeCommon.php:781) in <b>/home/baway/temp/wp-includes/option.php</b> on line <b>947</b><br />
    <br />
    <b>Warning</b>: Cannot modify header information – headers already sent by (output started at /home/baway/temp/wp-content/plugins/motopress-content-editor/includes/ce/shortcode/ShortcodeCommon.php:781) in <b>/home/baway/temp/wp-includes/option.php</b> on line <b>948</b><br />

    Can you please fix this as soon as possible. I can try to hack it to work, but it’d be nice to see an update to this as soon as possible. Thanks!

    #834816

    J. Davis
    Keymaster

    Hi Griffin,

    Thank you for reporting this. We’ll do our best to release a fix within few weeks. Could you try to downgrade the PHP version to 7.2 temporary?

    best regards,
    J. Davis

    #855469

    Tony Soffe
    Participant

    Hey,

    Any news on when the fix will be release please? the last update was that it should be ready within a few weeks but that was posted 6 weeks ago,

    Kind Regards

    #859015

    Tobias
    Participant

    Php 7.3 was released at the end of 2018. Motorpress delivers until today no solution. The last update was on 12.11.2018. It is conceivable that the support is already set. The entire homepage is at a disadvantage due to php 7.2. I am very upset about this support. Check the switch to another content editor. A content editor with php 7.3, SEO optimized, speed.

    • This reply was modified 2 months, 2 weeks ago by   Tobias.
    #860427

    Mary Evans
    Moderator

    Hello,

    Thank you for informing us. We are terribly sorry for any inconveniences, but testing Content Editor compatibility with PHP 7.3. has not been finished yet.
    Our developers are working on this issue and we will inform you as soon as we have any news.
    For now, we`d recommend to stay on PHP 7.2 version. Thank you for your patience.

    Best Regards,
    M. Evans

    #870607

    Mary Evans
    Moderator

    Hello,

    We are happy to announce about release of new Content Editor 3.0.5 version where we have improved compatibility with PHP 7.3.
    We notify you as you requested this feature.
    Thank you for collaboration. Do not hesitate to contact us if you have any further question

    Best regards,
    M. Evans

Viewing 10 posts - 1 through 10 (of 10 total)

You must be logged in to reply to this topic.